Package ru.bitel.bgbilling.modules.bill.server.bean

# Class PositionValue

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.PositionValue

All Implemented Interfaces:
  `ContractIdable`

Direct Known Subclasses:
  `ExtractorPositionValue`

public class PositionValue extends Object implements ContractIdable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PositionValue()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCid()`
  Deprecated.
  `int`
  `getContractId()`
  Возвращает id договора
  `BigDecimal`
  `getCost()`
  `List<PositionValue>`
  `getExtractPositions()`
  `String`
  `getName()`
  `BigDecimal`
  `getNds()`
  `Map<String,String>`
  `getParams()`
  `Position`
  `getPosition()`
  `int`
  `getPositionId()`
  `int`
  `getQtyNumsAfterComma()`
  `int`
  `getQtyNumsRoundingMode()`
  `BigDecimal`
  `getQuantity()`
  `BigDecimal`
  `getSum()`
  `BigDecimal`
  `getSumScaled()`
  `BigDecimal`
  `getSumUnscaled()`
  `String`
  `getUnit()`
  `String`
  `getUnitCode()`
  `boolean`
  `isAddWhenLessZero()`
  `boolean`
  `isInSumm()`
  `void`
  `setAddWhenLessZero(boolean awlz)`
  `void`
  `setCid(int cid)`
  Deprecated.
  `void`
  `setContractId(int contractId)`
  `void`
  `setCost(BigDecimal cost)`
  `void`
  `setExtractPositions(List<PositionValue> extractPositions)`
  `void`
  `setInSumm(boolean inSumm)`
  `void`
  `setName(String name)`
  `void`
  `setNds(BigDecimal nds)`
  `void`
  `setParams(Map<String,String> params)`
  `void`
  `setPosition(Position position)`
  `void`
  `setPositionId(int positionId)`
  `void`
  `setQtyNumsAfterComma(int qtyNumsAfterComma)`
  `void`
  `setQtyNumsRoundingMode(int qtyNumsRoundingMode)`
  `void`
  `setQuantity(BigDecimal val)`
  `void`
  `setSum(BigDecimal sum)`
  `void`
  `setSumScaled(BigDecimal sumRounded)`
  `void`
  `setSumUnscaled(BigDecimal sumUnscaled)`
  `void`
  `setUnit(String unit)`
  `void`
  `setUnitCode(String unitCode)`
  `DocumentPosition`
  `toDocumentPosition()`
  `void`
  `toElement(XMLStreamWriter el)`
  `void`
  `toElement(Element el)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PositionValue

    public PositionValue()

- ## Method Details

  - ### isAddWhenLessZero

    public boolean isAddWhenLessZero()

  - ### setAddWhenLessZero

    public void setAddWhenLessZero(boolean awlz)

  - ### getPosition

    public Position getPosition()

  - ### setPosition

    public void setPosition(Position position)

  - ### getExtractPositions

    public List<PositionValue> getExtractPositions()

  - ### setExtractPositions

    public void setExtractPositions(List<PositionValue> extractPositions)

  - ### getQuantity

    public BigDecimal getQuantity()

  - ### setQuantity

    public void setQuantity(BigDecimal val)

  - ### getUnit

    public String getUnit()

  - ### setUnit

    public void setUnit(String unit)

  - ### getUnitCode

    public String getUnitCode()

  - ### setUnitCode

    public void setUnitCode(String unitCode)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getCost

    public BigDecimal getCost()

  - ### setCost

    public void setCost(BigDecimal cost)

  - ### getSum

    public BigDecimal getSum()

  - ### setSum

    public void setSum(BigDecimal sum)

  - ### getNds

    public BigDecimal getNds()

  - ### setNds

    public void setNds(BigDecimal nds)

  - ### getPositionId

    public int getPositionId()

  - ### setPositionId

    public void setPositionId(int positionId)

  - ### getCid

    @Deprecated public int getCid()
    Deprecated.

  - ### getContractId

    public int getContractId()
    Description copied from interface: `ContractIdable`
    Возвращает id договора
    Specified by:
      `getContractId` in interface `ContractIdable`
    Returns:

  - ### setCid

    @Deprecated public void setCid(int cid)
    Deprecated.

  - ### setContractId

    public void setContractId(int contractId)

  - ### toElement

    public void toElement(Element el)

  - ### toElement

    public void toElement(XMLStreamWriter el) throws XMLStreamException
    Throws:
      `XMLStreamException`

  - ### isInSumm

    public boolean isInSumm()

  - ### setInSumm

    public void setInSumm(boolean inSumm)

  - ### getQtyNumsAfterComma

    public int getQtyNumsAfterComma()

  - ### setQtyNumsAfterComma

    public void setQtyNumsAfterComma(int qtyNumsAfterComma)

  - ### getQtyNumsRoundingMode

    public int getQtyNumsRoundingMode()

  - ### setQtyNumsRoundingMode

    public void setQtyNumsRoundingMode(int qtyNumsRoundingMode)

  - ### getParams

    public Map<String,String> getParams()

  - ### setParams

    public void setParams(Map<String,String> params)

  - ### getSumUnscaled

    public BigDecimal getSumUnscaled()

  - ### setSumUnscaled

    public void setSumUnscaled(BigDecimal sumUnscaled)

  - ### getSumScaled

    public BigDecimal getSumScaled()

  - ### setSumScaled

    public void setSumScaled(BigDecimal sumRounded)

  - ### toDocumentPosition

    public DocumentPosition toDocumentPosition()